Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Monthly Consumer Price Index data across key spending categories.
{ "blsCpi": [ { "date": "2025-02-01", "series_key": "SERIES_A", "value": 331.2 }, { "date": "2025-02-01", "series_key": "SERIES_B", "value": 278.4 } ] }
120
Show Object properties
curl "https://api.consumersignals.io/api/bls-cpi?months=36"
import requests response = requests.get( "https://api.consumersignals.io/api/bls-cpi", params={"months": 36} ) data = response.json()
const response = await fetch( "https://api.consumersignals.io/api/bls-cpi?months=36" ); const data = await response.json();